%define name resolvconf
%define version 1.37
%define release %mkrel 4

Summary: Nameserver information handler
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.debian.org/debian/pool/main/r/resolvconf/%{name}_%{version}.tar.bz2
Source1: list-by-metric
Source2: resolvconf.init
# fix path for run-parts
Patch0: resolvconf-1.36-path.patch
# allow /var/run/resolvconf/resolv.conf to be a symlink
Patch1: resolvconf-1.37-symlink.patch
Patch2: resolvconf-1.37-metric.patch
License: GPL
Group: Networking/Other
Url: http://packages.debian.org/unstable/net/resolvconf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Conflicts: initscripts < 8.48-3mdv2007.1

%description
Resolvconf is a framework for keeping track of the system's
information about currently available nameservers. It sets itself up
as the intermediary between programs that supply nameserver
information and programs that use nameserver information. Examples of
programs that supply nameserver information are: ifupdown, DHCP
clients, the PPP daemon and local nameservers. Examples of programs
that use this information are: DNS caches, resolver libraries and the
programs that use them.

%prep
%setup -q
%patch0 -p1 -b .path
%patch1 -p1 -b .symlink
%patch2 -p1 -b .metric

%build

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}
cp -a etc/%{name} %{buildroot}%{_sysconfdir}
# remove patch backup files
rm -f %{buildroot}%{_sysconfdir}/%{name}/update.d/*.*

touch %{buildroot}%{_sysconfdir}/%{name}/resolv.conf.d/tail

install -d %{buildroot}/sbin
install bin/%{name} %{buildroot}/sbin
install -d %{buildroot}/lib/%{name}
install bin/list-records %{buildroot}/lib/%{name}
install -m 755 %{SOURCE1} %{buildroot}/lib/%{name}/list-by-metric
install -d %{buildroot}/var/run/%{name}/interface
ln -s ../../var/run/%{name} %{buildroot}%{_sysconfdir}/%{name}/run
ln -sf ../../../etc/resolv.conf %{buildroot}/var/run/resolvconf/resolv.conf
touch %{buildroot}/var/run/%{name}/enable-updates

install -d %{buildroot}%{_initrddir}
install -m 755 %{SOURCE2} %{buildroot}%{_initrddir}/%{name}

install -d %{buildroot}%{_mandir}/man{5,8}
install -m 644 man/interface-order.5 %{buildroot}%{_mandir}/man5
install -m 644 man/resolvconf.8 %{buildroot}%{_mandir}/man8

%triggerpostun -- initscripts < 8.48-3mdv2007.1
cp -a %{_sysconfdir}/resolv.conf %{_sysconfdir}/%{name}/resolv.conf.d/tail

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYING
/sbin/%{name}
/lib/%{name}
%{_initrddir}/%{name}
%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/run
%config(noreplace) %{_sysconfdir}/%{name}/interface-order
%dir %{_sysconfdir}/%{name}/resolv.conf.d
%config(noreplace) %{_sysconfdir}/%{name}/resolv.conf.d/*
%dir %{_sysconfdir}/%{name}/update.d
%config(noreplace) %{_sysconfdir}/%{name}/update.d/*
%dir %{_sysconfdir}/%{name}/update-libc.d
%{_mandir}/man?/*
/var/run/%{name}
%config(missingok,noreplace) /var/run/%{name}/enable-updates


%changelog
* Mon Mar 19 2007 Olivier Blin <oblin@mandriva.com> 1.37-4mdv2007.1
+ Revision: 146573
- migrate resolv.conf to /etc/resolvconf/resolv.conf.d/tail on upgrades (#27947)
- package /etc/resolvconf/resolv.conf.d/tail
- mark config files as noreplace

* Wed Jan 03 2007 Olivier Blin <oblin@mandriva.com> 1.37-3mdv2007.1
+ Revision: 103610
- do not package russian man pages, they are not in sync
- update interface-order.5 and resolvconf.8 man page about metric usage
- update resolvconf.8 man page for Mandriva and merge REPORT_ABSENT_SYMLINK fix in patch
- keep patch backup files in build tree, remove them in buildroot only
- do not package patch backup files (#27913)

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - add doc files

* Tue Jan 02 2007 Olivier Blin <oblin@mandriva.com> 1.37-1mdv2007.1
+ Revision: 103267
- 1.37
- add initscript (partly based on Debian's initscript)

* Thu Dec 21 2006 Olivier Blin <oblin@mandriva.com> 1.36-1mdv2007.1
+ Revision: 100884
- sort interface records by the related interface metric
- make /var/run/resolvconf/resolv.conf a symlink to /etc/resolv.conf
- more path fixes
- make the package noarch
- enable resolvconf updates by default (by touching /var/run/%%{name}/enable-updates)
- fix path for run-parts
- initial resolvconf package
- Create resolvconf

